Home > Element Reference : Description

Contents

### Description

This element is used to create a block of text. The text can be set either with the value attribute or by placing text inside the open and close description tags. The value attribute is used to set text that appears in a single line. If text appears as a child of the description, it will wrap to multiple lines. If may contain arbitrary markup, which can be styled as needed.

More information about Description

#### Attributes:

Attributes inherited from XUL Element

crop

If the label of the description is too small to fit in its given space, the text will be cropped on the side specified by the crop attribute. An ellipsis will be placed in place of the cropped text. If the box direction is right to left (rtl), the cropping is reversed.

- start: The text will be cropped on its left side.
- end: The text will be cropped on its right side.
- left: (Deprecated) The text will be cropped on its left side.
- right: (Deprecated) The text will be cropped on its right side.
- center: The text will be cropped on both sides.
- none: The text will be not be cropped using an ellipsis. However, the text will simply be cut off if it is too large. The side depends on the CSS text alignment.

disabled

If this attribute is set to true, the description is disabled. This is usually drawn with the text in grey. If the description is disabled, the function of the button cannot be performed. Leave the attribute out entirely for a regular enabled button.

value

The text to be used for the description. The text will appear on a single line and will not wrap.

#### Properties and Methods:

Properties and Methods inherited from XUL Element

crop

Gets and sets the value of the crop attribute.

disabled

Gets and sets the value of the disabled attribute.

value

Gets and sets the value of the value attribute.

Copyright (C) 1999 - 2002 XULPlanet.com